# Create an apexcharts.js widget

Source: `R/apexcharter.R`
`apexchart.Rd`

Create an apexcharts.js widget

    apexchart(
      ax_opts = list(),
      auto_update = TRUE,
      width = NULL,
      height = NULL,
      elementId = NULL
    )

## Arguments

ax_opts | A `list` in JSON format with chart parameters.
auto_update | In Shiny application, update existing chart rather than generating new one. Can be `TRUE`/`FALSE` or use `config_update` for more control.
width | A numeric input in pixels.
height | A numeric input in pixels.
elementId | Use an explicit element ID for the widget.

## Value

A `apexcharts` `htmlwidget` object.

## Examples

    library(apexcharter)

    # Use raw API by passing a list of
    # parameters to the function

    apexchart(ax_opts = list(
      chart = list(
        type = "bar"
      ),
      series = list(list(
        name = "Example",
        data = sample(1:100, 5)
      )),
      xaxis = list(
        categories = LETTERS[1:5]
      )
    ))

    # Or use apexchart() to initialize the chart
    # before passing parameters

    apexchart() %>%
      ax_chart(type = "bar") %>%
      ax_series(
        list(
          name = "Example",
          data = sample(1:100, 5)
        )
      ) %>%
      ax_xaxis(
        categories = LETTERS[1:5]
      )